/* vol_iv_cmd.h */

/* File autogenerated by gengetopt version 2.19  */

#ifndef VOL_IV_CMD_H
#define VOL_IV_CMD_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "vol_iv"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "0.21"
#endif

struct gengetopt_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int verbosity_arg;	/* Set the verbosity level (0=quiet 10=verbose 20=bombastic) (default='0').  */
  char * verbosity_orig;	/* Set the verbosity level (0=quiet 10=verbose 20=bombastic) original value given at command line.  */
  const char *verbosity_help; /* Set the verbosity level (0=quiet 10=verbose 20=bombastic) help description.  */
  float box_arg;	/* Add a bounding box with a given width (default='1.0').  */
  char * box_orig;	/* Add a bounding box with a given width original value given at command line.  */
  const char *box_help; /* Add a bounding box with a given width help description.  */
  char * cmap_arg;	/* Ascii color map file to use (red green blue alpha).  */
  char * cmap_orig;	/* Ascii color map file to use (red green blue alpha) original value given at command line.  */
  const char *cmap_help; /* Ascii color map file to use (red green blue alpha) help description.  */
  float scale_arg;	/* Uniform scale node.  */
  char * scale_orig;	/* Uniform scale node original value given at command line.  */
  const char *scale_help; /* Uniform scale node help description.  */
  char * interpolation_arg;	/* How to interpret voxel colors (NEAREST or LINEAR).  */
  char * interpolation_orig;	/* How to interpret voxel colors (NEAREST or LINEAR) original value given at command line.  */
  const char *interpolation_help; /* How to interpret voxel colors (NEAREST or LINEAR) help description.  */
  char * composition_arg;	/* How to handle translucent volumes (MAX_INTENSITY, SUM_INDENSITY, or ALPHA_BLENDING.  */
  char * composition_orig;	/* How to handle translucent volumes (MAX_INTENSITY, SUM_INDENSITY, or ALPHA_BLENDING original value given at command line.  */
  const char *composition_help; /* How to handle translucent volumes (MAX_INTENSITY, SUM_INDENSITY, or ALPHA_BLENDING help description.  */
  char * numslicescontrol_arg;	/* How to render slices of the volume (ALL, MANUAL, or AUTOMATIC).  */
  char * numslicescontrol_orig;	/* How to render slices of the volume (ALL, MANUAL, or AUTOMATIC) original value given at command line.  */
  const char *numslicescontrol_help; /* How to render slices of the volume (ALL, MANUAL, or AUTOMATIC) help description.  */
  int numslices_arg;	/* How many slices if control is MANUAL or AUTOMATIC.  */
  char * numslices_orig;	/* How many slices if control is MANUAL or AUTOMATIC original value given at command line.  */
  const char *numslices_help; /* How many slices if control is MANUAL or AUTOMATIC help description.  */
  char * predefcmap_arg;	/* Predefined color map (NONE, GREY, TEMPERATURE, PHYSICS, STANDARD, GLOW, BLUE_RED, SEISMIC.  */
  char * predefcmap_orig;	/* Predefined color map (NONE, GREY, TEMPERATURE, PHYSICS, STANDARD, GLOW, BLUE_RED, SEISMIC original value given at command line.  */
  const char *predefcmap_help; /* Predefined color map (NONE, GREY, TEMPERATURE, PHYSICS, STANDARD, GLOW, BLUE_RED, SEISMIC help description.  */
  char * cmaptype_arg;	/* Color map type (ALPHA, LUM_ALPHA, RGBA).  */
  char * cmaptype_orig;	/* Color map type (ALPHA, LUM_ALPHA, RGBA) original value given at command line.  */
  const char *cmaptype_help; /* Color map type (ALPHA, LUM_ALPHA, RGBA) help description.  */
  char * out_arg;	/* Output file name.  */
  char * out_orig;	/* Output file name original value given at command line.  */
  const char *out_help; /* Output file name help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int verbosity_given ;	/* Whether verbosity was given.  */
  int box_given ;	/* Whether box was given.  */
  int cmap_given ;	/* Whether cmap was given.  */
  int scale_given ;	/* Whether scale was given.  */
  int interpolation_given ;	/* Whether interpolation was given.  */
  int composition_given ;	/* Whether composition was given.  */
  int numslicescontrol_given ;	/* Whether numslicescontrol was given.  */
  int numslices_given ;	/* Whether numslices was given.  */
  int predefcmap_given ;	/* Whether predefcmap was given.  */
  int cmaptype_given ;	/* Whether cmaptype was given.  */
  int out_given ;	/* Whether out was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *gengetopt_args_info_purpose;
extern const char *gengetopt_args_info_usage;
extern const char *gengetopt_args_info_help[];

int cmdline_parser (int argc, char * const *argv,
  struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv,
  struct gengetopt_args_info *args_info,
  int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename,
  struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_required (struct gengetopt_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* VOL_IV_CMD_H */
