/* volhdr_edit_cmd.h */

/* File autogenerated by gengetopt version 2.19  */

#ifndef VOLHDR_EDIT_CMD_H
#define VOLHDR_EDIT_CMD_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "volhdr_edit"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "0.21"
#endif

struct gengetopt_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int verbosity_arg;	/* Set the verbosity level (0=quiet 10=verbose 20=bombastic) (default='0').  */
  char * verbosity_orig;	/* Set the verbosity level (0=quiet 10=verbose 20=bombastic) original value given at command line.  */
  const char *verbosity_help; /* Set the verbosity level (0=quiet 10=verbose 20=bombastic) help description.  */
  char * data_arg;	/* Use volume raw data with a new header.  */
  char * data_orig;	/* Use volume raw data with a new header original value given at command line.  */
  const char *data_help; /* Use volume raw data with a new header help description.  */
  const char *nodata_help; /* Do not write data with the header help description.  */
  char * out_arg;	/* Output file name.  */
  char * out_orig;	/* Output file name original value given at command line.  */
  const char *out_help; /* Output file name help description.  */
  int magic_arg;	/* Give a new magic number (default='192837465').  */
  char * magic_orig;	/* Give a new magic number original value given at command line.  */
  const char *magic_help; /* Give a new magic number help description.  */
  int header_len_arg;	/* Number of bytes of header.  */
  char * header_len_orig;	/* Number of bytes of header original value given at command line.  */
  const char *header_len_help; /* Number of bytes of header help description.  */
  int width_arg;	/* Num voxels in the x direction (default='10').  */
  char * width_orig;	/* Num voxels in the x direction original value given at command line.  */
  const char *width_help; /* Num voxels in the x direction help description.  */
  int tall_arg;	/* Num voxels in the y direction or height (default='10').  */
  char * tall_orig;	/* Num voxels in the y direction or height original value given at command line.  */
  const char *tall_help; /* Num voxels in the y direction or height help description.  */
  int depth_arg;	/* Num voxels in the z direction (default='10').  */
  char * depth_orig;	/* Num voxels in the z direction original value given at command line.  */
  const char *depth_help; /* Num voxels in the z direction help description.  */
  int bpv_arg;	/* Bits per voxel (default='8').  */
  char * bpv_orig;	/* Bits per voxel original value given at command line.  */
  const char *bpv_help; /* Bits per voxel help description.  */
  int index_bits_arg;	/* Set the index bits (default='0').  */
  char * index_bits_orig;	/* Set the index bits original value given at command line.  */
  const char *index_bits_help; /* Set the index bits help description.  */
  float xscale_arg;	/* Scale the voxels. (default='1.0').  */
  char * xscale_orig;	/* Scale the voxels. original value given at command line.  */
  const char *xscale_help; /* Scale the voxels. help description.  */
  float yscale_arg;	/* Scale the voxels. (default='1.0').  */
  char * yscale_orig;	/* Scale the voxels. original value given at command line.  */
  const char *yscale_help; /* Scale the voxels. help description.  */
  float zscale_arg;	/* Scale the voxels. (default='1.0').  */
  char * zscale_orig;	/* Scale the voxels. original value given at command line.  */
  const char *zscale_help; /* Scale the voxels. help description.  */
  float xrot_arg;	/* Rotate about the X axis  (default='0.0').  */
  char * xrot_orig;	/* Rotate about the X axis  original value given at command line.  */
  const char *xrot_help; /* Rotate about the X axis  help description.  */
  float yrot_arg;	/* Rotate about the Y axis  (default='0.0').  */
  char * yrot_orig;	/* Rotate about the Y axis  original value given at command line.  */
  const char *yrot_help; /* Rotate about the Y axis  help description.  */
  float zrot_arg;	/* Rotate about the Z axis  (default='0.0').  */
  char * zrot_orig;	/* Rotate about the Z axis  original value given at command line.  */
  const char *zrot_help; /* Rotate about the Z axis  help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int verbosity_given ;	/* Whether verbosity was given.  */
  int data_given ;	/* Whether data was given.  */
  int nodata_given ;	/* Whether nodata was given.  */
  int out_given ;	/* Whether out was given.  */
  int magic_given ;	/* Whether magic was given.  */
  int header_len_given ;	/* Whether header_len was given.  */
  int width_given ;	/* Whether width was given.  */
  int tall_given ;	/* Whether tall was given.  */
  int depth_given ;	/* Whether depth was given.  */
  int bpv_given ;	/* Whether bpv was given.  */
  int index_bits_given ;	/* Whether index_bits was given.  */
  int xscale_given ;	/* Whether xscale was given.  */
  int yscale_given ;	/* Whether yscale was given.  */
  int zscale_given ;	/* Whether zscale was given.  */
  int xrot_given ;	/* Whether xrot was given.  */
  int yrot_given ;	/* Whether yrot was given.  */
  int zrot_given ;	/* Whether zrot was given.  */

  char **inputs ; /* unamed options */
  unsigned inputs_num ; /* unamed options number */
} ;

extern const char *gengetopt_args_info_purpose;
extern const char *gengetopt_args_info_usage;
extern const char *gengetopt_args_info_help[];

int cmdline_parser (int argc, char * const *argv,
  struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv,
  struct gengetopt_args_info *args_info,
  int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename,
  struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_required (struct gengetopt_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* VOLHDR_EDIT_CMD_H */
